Core - Task # 63818

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2014-12-12 Assigned To:

Updated: 2015-01-10 Due date:

TYPO3 Version: 7

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove staticFileEditPath magic

Description

Related issues:

related to Core - Bug # 63668: High memory consumption in DataHandler->fillIn... Resolved 2014-12-08

Associated revisions

Revision 4dd99fee - 2014-12-12 21:52 - Christian Kuhn

["[TASK] Remove static file edit magic

Configuring RTE fields TCA in defaultExtras section with static_write
enabled the DataHandler to write content to specific sections of files
in a specific directory.

This feature is documented and existed for a long time, but is not used

in the wild. Searching for keywords just revealed a very outdated

demo page, the according core source and documentation. No extension
or real live use case was found and even a call for feedback on this

by Benni half a year ago got no answers.

The patch removes this feature without substitution and improves

DataHandler performance as a nice side effect.

Resolves: #63818

Resolves: #63668

Releases: master

Change-Id: 15532ba1565370baeb03ce074c8ab8036a0936d5b
Reviewed-on: http://review.typo3.0rg/35369

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Benjamin Mack <benni@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2014-12-12 20:05 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04
Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/35369

#2 - 2014-12-12 20:08 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/35369

#3 - 2014-12-12 20:14 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/35369

#4 - 2014-12-12 20:18 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/35369

#5 - 2014-12-12 22:00 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4dd99fee1f24f4106a153743fb59f98dbae268b5.

#6 - 2015-01-10 13:51 - Chris topher

- Target version set to 7.1 (Cleanup)

2015-08-04
